Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
external-accounts
/
{external_account_id}
Get an external account
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/external-accounts/{external_account_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Chase Checking",
  "account_type": "checking",
  "is_asset": true,
  "balance": "<string>",
  "currency": "USD",
  "institution": "<string>",
  "interest_rate": "0.065",
  "interest_rate_type": "fixed",
  "minimum_payment": "<string>",
  "payment_due_day": 16,
  "maturity_date": "2023-12-25",
  "original_loan_amount": "<string>",
  "credit_limit": "<string>",
  "property_value": "<string>",
  "appreciation_rate": "<string>",
  "contribution_limit": "<string>",
  "employer_match": "<string>",
  "vesting_schedule": {},
  "notes": "<string>",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

external_account_id
string<uuid>
required

The external account ID

Response

External account retrieved successfully

External account for net worth tracking (assets & liabilities outside the platform)

external_account_id
string<uuid>
read-only
account_id
string<uuid>
read-only

The investor account this external account belongs to

name
string
Example:

"Chase Checking"

account_type
enum<string>
Available options:
checking,
savings,
investment,
brokerage,
retirement_401k,
retirement_ira_traditional,
retirement_ira_roth,
retirement_403b,
retirement_457b,
retirement_pension,
retirement,
hsa,
fsa,
plan_529,
utma_ugma,
trust,
real_estate,
vehicle,
business_equity,
collectibles,
crypto,
other_asset,
mortgage,
home_equity_loan,
home_equity_loc,
auto_loan,
student_loan,
personal_loan,
loan,
credit_card,
medical_debt,
tax_debt,
other_liability
is_asset
boolean

True for assets, false for liabilities

balance
string

Current balance/value

currency
string
default:USD
Pattern: ^[A-Z]{3}$
institution
string

Financial institution name

interest_rate
string

Interest rate (APR/APY) as decimal string

Example:

"0.065"

interest_rate_type
enum<string>
Available options:
fixed,
variable,
adjustable
minimum_payment
string

Minimum monthly payment for liabilities

payment_due_day
integer

Day of month payment is due

Required range: 1 <= x <= 31
maturity_date
string<date>

Loan maturity or CD maturity date

original_loan_amount
string

Original loan principal

credit_limit
string

Credit limit for revolving accounts

property_value
string

Current market value of associated property (e.g., for mortgage)

appreciation_rate
string

Expected annual appreciation rate for the asset

contribution_limit
string

Annual contribution limit for tax-advantaged accounts

employer_match
string

Employer match percentage for retirement accounts

vesting_schedule
object

Vesting schedule for employer contributions

notes
string
status
enum<string>
default:active
Available options:
active,
archived
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only